lkml.org 
[lkml]   [2003]   [Aug]   [5]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: Linux 2.4.22-pre10-ac1 DRI doesn't work with Radeon 7500
On Tue Aug 05, 2003 at 06:49:25PM +0200, Ruben Puettmann wrote:
> DRI doesn't work with Radeon 7500 on IBM Thinkpad R40 (2722).
[-----------snip---------------]
> 01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility
[-----------snip---------------]
> XFree86 : 4.2.1
>
>
> Both glxgears and tuxracer crashes with the Illegal instruction error
> message. the strace output of glxgears is:
[-----------snip---------------]
> ioctl(3, FIONREAD, [0]) = 0
> ioctl(5, 0x40186448, 0xbffffb30) = 0
> --- SIGILL (Illegal instruction) @ 0 (0) ---
> +++ killed by SIGILL +++


I get this too, with vanilla 2.4.22-pre10....

$ lspci | grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV100 QY [Radeon 7000/VE]
$ lspci | grep AGP
00:01.0 PCI bridge: Intel Corp. 82865G/PE/P Processor to AGP Controller (rev 02)

$ strace glxgears
[-----------snip---------------]
ioctl(3, FIONREAD, [0]) = 0
ioctl(4, 0x40186448, 0xbffff4d0) = 0
--- SIGILL (Illegal instruction) @ 0 (0) ---
+++ killed by SIGILL +++

-Erik

--
Erik B. Andersen http://codepoet-consulting.com/
--This message was written using 73% post-consumer electrons--
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 13:47    [W:0.074 / U:0.116 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site